com.oracle.truffle.api.nodes

## Enum NodeUtil.NodeFieldKind

- java.lang.Object
- - java.lang.Enum<NodeUtil.NodeFieldKind>
  - - com.oracle.truffle.api.nodes.NodeUtil.NodeFieldKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NodeUtil.NodeFieldKind>

Enclosing class:
  NodeUtil

    public static enum NodeUtil.NodeFieldKind
    extends java.lang.Enum<NodeUtil.NodeFieldKind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHILD` A field annotated with `Node.Child`.
`CHILDREN` A field annotated with `Node.Children`.
`DATA` A normal non-child data field of the node.
`PARENT` The single `parent` field.

### Method Summary

Methods
`static NodeUtil.NodeFieldKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NodeUtil.NodeFieldKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PARENT

    public static final NodeUtil.NodeFieldKind PARENT

The single `parent` field.

#### CHILD

    public static final NodeUtil.NodeFieldKind CHILD

A field annotated with `Node.Child`.

#### CHILDREN

    public static final NodeUtil.NodeFieldKind CHILDREN

A field annotated with `Node.Children`.

#### DATA

    public static final NodeUtil.NodeFieldKind DATA

A normal non-child data field of the node.

### Method Detail

#### values

    public static NodeUtil.NodeFieldKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NodeUtil.NodeFieldKind c : NodeUtil.NodeFieldKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NodeUtil.NodeFieldKind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null